
Name:           kmldonkey
Version:        0.10
Release:        0.lvn.3%{?dist_tag}
Epoch:          0
Summary:        Advanced GUI frontend for the MLDonkey P2P core.
Group:          Applications/Internet
License:        GPL
URL:            http://kmldonkey.org/
Source0:        http://savannah.nongnu.org/download/kmldonkey/kmldonkey-0.10.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires: qt-devel >= 1:3.3
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel | cut -d. -f-2)
Requires: qt >= 1:%{qt_ver}

BuildRequires: kdelibs-devel >= 6:3.2
%define kdelibs_ver %(rpm -q --qf '%%{version}' kdelibs-devel | cut -d. -f-2 )
Requires: kdelibs >= 6:%{kdelibs_ver}

Requires:       mldonkey
Conflicts:      mldonkey-ed2k-support

%package devel
Summary: %{name} headers and libraries
Group:   Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
%description devel
%{name} header files and libraries.


%description
KMLDonkey is a frontend for MLDonkey, a powerful P2P file sharing tool,
designed for the KDE desktop.
Feature Overview:
  * A flexible, powerful and KDE Style Guide compliant graphical interface.
  * A complete implementation of the MLDonkey GUI protocol, meaning
    KMLDonkey can do everything the original GUI does.
  * A convenient and configurable on-demand MLDonkey launcher.
  * Real-time graphical bandwidth and network statistics.
  * MobileMule middleware for controlling your MLDonkey using your Java
    enabled mobile phone.
  * Embedded previewing of all downloads using KParts viewers.
  * Embedded web browser providing P2P related web services such as
    availability and fake checks.
  * KDE panel applet for statistics and easy access to the GUI.
  * KIOSlave for opening current and complete downloads in all KDE
    applications (eg. "mldonkey:/Default/downloading/")


%prep
%setup -q

perl -pi -e 's/^Keywords(\[.*\])?=/X-Keywords\1=/g;
             s/^DocPath/X-DocPath/g;
             s/^Terminal=0$/Terminal=false/g' \
    kcmdonkey/kcmdonkey.desktop kmldonkey/kmldonkey.desktop


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --disable-debug --disable-warnings 

make %{?_smp_mflags}



%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Desktop Files
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor=""  --delete-original \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        --add-category Applications \
        --add-category Network \
        --add-category X-Livna \
        --add-only-show-in KDE \
        $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/*.desktop

# KDE 3.1: Vendor must be "kde" to make it work as a KDE control centre
# module. Category "X-KDE-system-network" is for "Internet" section.
# See /etc/xdg/menu/kde-settings.menu for details
desktop-file-install --vendor kde --delete-original \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        --add-category X-Livna \
        --add-category X-KDE-settings-network \
        $RPM_BUILD_ROOT%{_datadir}/applnk/Settings/Network/*.desktop

%find_lang %{name}

## Unpackaged files
# these are safe to remove -- Rex
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_bindir}/*
%{_datadir}/apps/%{name}
%{_mandir}/man[^3]/*
%{_datadir}/applications/*
%{_datadir}/apps/kicker/applets/mldonkeyapplet.desktop
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/apps/mldonkeyapplet/
%{_datadir}/icons/*/*/*/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_libdir}/lib*.so.*
%{_libdir}/kde3/*.so*
%{_libdir}/kde3/*.la

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_includedir}/*


%changelog
* Sun Jan 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.10-0.lvn.3
- fix .desktop naming (applet hardcodes looking for kmldonkey.desktop)

* Wed Jan 12 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.10-0.lvn.2
- -devel subpkg
- qt/kdelibs Req's for fc2/fc3

* Mon Nov 01 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.10-0.lvn.1
- 0.10 final

* Mon Sep 13 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.10-0.lvn.0.1.pre4
- update to 0.10pre4

* Mon Jun 28 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.1-0.lvn.1
- Initial RPM release.
